{-# LANGUAGE OverloadedStrings #-}

module Yesod.Auth.Message where

import qualified Data.Text as T

data AccountMsg
  = MsgUser
  | MsgPassword
  | MsgLogin
  | MsgRegister
  | MsgForgotPassword
  | MsgNoSuchUser
  | MsgWrongPassword
  | MsgInvalidToken
  | MsgInvalidUsername
  | MsgProtocolError
  | MsgUsername
  | MsgEmail
  | MsgRegisterLong
  | MsgPassword1
  | MsgPassword2
  | MsgActivate
  | MsgSetPassword
  | MsgSend
  | MsgPasswordReset
  | MsgActivationSent
  | MsgUsernameExists T.Text
  | MsgUserNotActive
  | MsgNoJsLogin

defaultAccountMsg :: AccountMsg -> T.Text
defaultAccountMsg = englishAccountMsg

englishAccountMsg :: AccountMsg -> T.Text
englishAccountMsg MsgUser = "User"
englishAccountMsg MsgPassword = "Password"
englishAccountMsg MsgLogin = "Login"
englishAccountMsg MsgRegister = "Register"
englishAccountMsg MsgForgotPassword = "Forgot password?"
englishAccountMsg MsgNoSuchUser = "No such user"
englishAccountMsg MsgWrongPassword = "Wrong password"
englishAccountMsg MsgInvalidToken = "Invalid token"
englishAccountMsg MsgInvalidUsername = "Invalid username"
englishAccountMsg MsgProtocolError = "Protocol error"
englishAccountMsg MsgUsername = "Username"
englishAccountMsg MsgEmail = "Email"
englishAccountMsg MsgRegisterLong = "Register a new account"
englishAccountMsg MsgPassword1 = "Enter new password"
englishAccountMsg MsgPassword2 = "Repeat new password"
englishAccountMsg MsgActivate = "Activate"
englishAccountMsg MsgSetPassword = "Set password"
englishAccountMsg MsgSend = "Send"
englishAccountMsg MsgPasswordReset = "Reset password"
englishAccountMsg MsgActivationSent = "You will receive your Activation in your email"
englishAccountMsg (MsgUsernameExists u) = T.concat
  ["The user ", u, " already exists. Please choose an alternate username."]
englishAccountMsg MsgUserNotActive = "Please activate your account before logging in"
englishAccountMsg MsgNoJsLogin = "Log in without Javascript"
